org.apache.maven.artifact.installer

## Class DefaultArtifactInstaller

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.artifact.installer.DefaultArtifactInstaller

- All Implemented Interfaces:
    ArtifactInstaller

      public class DefaultArtifactInstaller
      extends AbstractLogEnabled
      implements ArtifactInstaller

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.artifact.installer.ArtifactInstaller

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultArtifactInstaller()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `install(java.io.File source, Artifact artifact, ArtifactRepository localRepository)` Install an artifact from a particular file.
    `void` | `install(java.lang.String basedir, java.lang.String finalName, Artifact artifact, ArtifactRepository localRepository)` Deprecated. we want to use the artifact method only, and ensure artifact.file is set correctly.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultArtifactInstaller

          public DefaultArtifactInstaller()

  - ### Method Detail

    - #### install

          public void install(java.lang.String basedir,
                     java.lang.String finalName,
                     Artifact artifact,
                     ArtifactRepository localRepository)
                       throws ArtifactInstallationException

      Deprecated. we want to use the artifact method only, and ensure artifact.file is set correctly.
      Description copied from interface: `ArtifactInstaller`
      Install an artifact from a particular directory. The artifact handler is used to determine the filename of the source file.
      Specified by:
        `install` in interface `ArtifactInstaller`
      Parameters:
        `basedir` - the directory where the artifact is stored
        `finalName` - the name of the artifact sans extension
        `artifact` - the artifact definition
        `localRepository` - the local repository to install into
      Throws:
        `ArtifactInstallationException` - if an error occurred installing the artifact

    - #### install

          public void install(java.io.File source,
                     Artifact artifact,
                     ArtifactRepository localRepository)
                       throws ArtifactInstallationException

      Description copied from interface: `ArtifactInstaller`
      Install an artifact from a particular file.
      Specified by:
        `install` in interface `ArtifactInstaller`
      Parameters:
        `source` - the file to install
        `artifact` - the artifact definition
        `localRepository` - the local repository to install into
      Throws:
        `ArtifactInstallationException` - if an error occurred installing the artifact